/*
 * FILE:
 * signal.h
 *
 * FUNCTION:
 * Handle a gtk signal
 *
 * HISTORY:
 * Linas Vepstas March 2002
 */

#ifndef DUI_SIGNAL_H
#define DUI_SIGNAL_H

#include "readfile.h"

DuiSignal * dui_signal_new (DuiWindow *, const char * wigname, 
                             const char * signalname, const char *act);
void dui_signal_destroy (DuiSignal *sig);

const char * dui_signal_get_widget (DuiSignal *sig);

void dui_signal_connect (DuiSignal *sig, GtkObject *obj, 
                    GtkSignalFunc sigfunc, gpointer user_data);


void dui_signal_do_realize (DuiSignal *sig);

#endif /* DUI_SIGNAL_H */
